#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <fstream>
#include <unistd.h>
#include <fcntl.h>
#include "sdb.h"
#include <math.h>
#include <vector>


using namespace std;

int main(int argc, char * argv[])
{
  if(argc!=3)
    {
      cerr<<"Usage:rconvert <input filename> <output filename>"<<endl;
      exit(0);
    }
  fstream os;
  SDB sdb(argv[1]);
  sdb.readData();
  //sdb.sortSegments();	
  os.precision(12);
  os.open(argv[2],ios::out);
  uint i=0;
  for(i=0;i<sdb.N;i++)
    {
      os<<1<<"\t"<<Tools::SEGIDLEN*(sdb.segs[i].objid+1)+sdb.segs[i].segid<<"\t"<<sdb.segs[i].start<<"\t"<<sdb.segs[i].end<<"\n";

    }
  os.close();
  return 0;
}
