#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <fstream>
#include <unistd.h>
#include <fcntl.h>
#include "tools.h"
#include <math.h>
#include <vector>

using namespace std;

int main(int argc, char * argv[])
{
  if(argc!=4)
    {
      cerr<<"Usage:rqconvert <input filename> <output filename> <how many>"<<endl;
      exit(0);
    }

  fstream is,os;
  int ttopk;
  double tqx;
   uint many=(uint)atoi(argv[3]);

  is.open(argv[1],ios::in);
  os.open(argv[2],ios::out);
  if(!is.is_open())
    {
      cerr<<"ERR:Open rtree query input file fails."<<endl;
      exit(1);
    }
  if(!os.is_open())
    {
      cerr<<"ERR:Open rtree query output file fails."<<endl;
      exit(1);
    }
  is.precision(12);
  os.precision(12);
	unsigned long count;
	is>>count;
	unsigned long i=0;
  while(i<count && i<many)
    {
      ttopk=-1;
      tqx=-1;
      is>>tqx;
      os<<2<<" "<<9999999<<" "<<tqx<<" "<<2*Tools::MAX<<" "<<tqx<<" "<<2*Tools::MAX<<"\n";
	i++;
    }
  is.close();
  os.close();
  return 0;
}
