#include "lenv.h"

lEnv::lEnv(int _level)
{
	sibling=NULL;
	level=_level;
	index=0;
	cfltsize=0;
	totalMarked=0;
	distinctObj=0;
}

lEnv::~lEnv()
{
	if (sibling!=NULL)
		delete sibling;
	sibling=NULL;
	pconfl.clear();
	contained.clear();
	marked.clear();
	//objmap.clear();
}

 bool lEnv::insert(segment& s, uint index)
{
	uint i=0;
	bool toinsert=true;
	for (i=0;i<contained.size();i++)
	{
		if (segment::is_in_traz(contained[i]->s, s))
		{
		  if (marked[i]==false)
		    {
			marked[i]=true;
			totalMarked++;
		    }
		    toinsert=false;
		    break;
		}
		
	}
	if (toinsert==true)
		pconfl.push_back(index);
	/*map<uint, uint>::iterator idit;
	idit=objmap.find((uint)(s.objid));
	if (idit==objmap.end())
	{
		distinctObj++;
		objmap.insert( pair<uint, uint>((uint)(s.objid), 1));
	}
	else
		(*idit).second++;*/
	/*__gnu_cxx::hash_map<uint, uint, GnuHash>::iterator idit;
	idit=objmap.find((uint)(s.objid));
	if (idit==objmap.end())
	{
		distinctObj++;
		objmap.insert( pair<uint, uint>((uint)(s.objid), 1));
	}*/
	cfltsize++;
	//distinctObj++;
	return toinsert;
}

 void lEnv::pushContainedEnv(lEnv* lenv)
{
	this->contained.push_back(lenv);
	this->marked.push_back(false);
}
