#include "shortsegment.h"

shortsegment::shortsegment()
    {
      start.x=0;
      start.y=1;
      end.x=Tools::xMAX;
      end.y=1;
      sid=0;
    }

  void shortsegment::buildseg(point p1, point p2, int oid, int segid)
  {
    sid=oid*Tools::SEGIDLEN+segid;
    if(p1<p2)
      {
	start=p1;
	end=p2;
      }
    else
      {
	start=p2;
	end=p1;
      }
    }
  
  shortsegment & shortsegment::operator=(const shortsegment &b) 
    {
      sid=b.sid;
      start=b.start;
      end=b.end;
      return *this;
    }

 ostream& operator << (ostream& os, const shortsegment& s)
{
  return os<<s.sid<<'\t'<<s.start<<'\t'<<s.end;
}

istream& operator >> (istream& is, shortsegment& s)
{
  return   is>>s.sid>>s.start>>s.end;
}


