#ifndef _TOOLS
#define _TOOLS
#include <limits.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <iostream>
#include <vector>
#include <list>
#include <algorithm>
#include <time.h>
#include <cmath>
using namespace std;

class Tools{
	public:
	static bool double_eq(double a, double b, int precision);
	static bool double_le(double a, double b, int precision);
	static bool double_le_highp(double a, double b, double precision);
	static bool double_eq_highp(double a, double b, double precision);

	static bool lineSegmentIntersection(
			       double Ax, double Ay,
			       double Bx, double By,
			       double Cx, double Cy,
			       double Dx, double Dy,
			       double *X, double *Y); 
	const static uint MAX=4000000; //ymax and bottom line id
	const static uint xMAX=10000000;
	const static uint SEGIDLEN=10000;
	const static uint OBJSIZE=40;
	//const static uint MAX=5000000;
	const static uint MIN=0;
};
#endif
